org.richfaces.application.push.impl

## Class SessionImpl

- java.lang.Object
- - org.richfaces.application.push.impl.SessionImpl

- All Implemented Interfaces:
    org.richfaces.application.push.Session

      public class SessionImpl
      extends Object
      implements org.richfaces.application.push.Session

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionImpl(String id, org.richfaces.application.push.SessionManager sessionManager, org.richfaces.application.push.TopicsContext topicsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearBroadcastedMessages(long sequenceNumber)`
    `void` | `connect(org.richfaces.application.push.Request request)`
    `void` | `destroy()`
    `void` | `disconnect()`
    `Map<org.richfaces.application.push.TopicKey,String>` | `getFailedSubscriptions()`
    `String` | `getId()`
    `long` | `getLastAccessedTime()`
    `int` | `getMaxInactiveInterval()`
    `Collection<org.richfaces.application.push.MessageData>` | `getMessages()`
    `protected org.richfaces.application.push.Request` | `getRequest()`
    `Collection<org.richfaces.application.push.TopicKey>` | `getSuccessfulSubscriptions()`
    `void` | `invalidate()`
    `Collection<org.richfaces.application.push.MessageData>` | `poll()`
    `protected void` | `processConnect(org.richfaces.application.push.Request request)`
    `void` | `push(org.richfaces.application.push.TopicKey topicKey, String serializedData)`
    `void` | `subscribe(String[] topics)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionImpl

          public SessionImpl(String id,
                     org.richfaces.application.push.SessionManager sessionManager,
                     org.richfaces.application.push.TopicsContext topicsContext)

  - ### Method Detail

    - #### connect

          public void connect(org.richfaces.application.push.Request request)
                       throws Exception

      Specified by:
        `connect` in interface `org.richfaces.application.push.Session`
      Throws:
        `Exception`

    - #### getRequest

          protected org.richfaces.application.push.Request getRequest()

    - #### processConnect

          protected void processConnect(org.richfaces.application.push.Request request)
                                 throws Exception

      Throws:
        `Exception`

    - #### disconnect

          public void disconnect()
                          throws Exception

      Specified by:
        `disconnect` in interface `org.richfaces.application.push.Session`
      Throws:
        `Exception`

    - #### getLastAccessedTime

          public long getLastAccessedTime()

      Specified by:
        `getLastAccessedTime` in interface `org.richfaces.application.push.Session`

    - #### getMaxInactiveInterval

          public int getMaxInactiveInterval()

      Specified by:
        `getMaxInactiveInterval` in interface `org.richfaces.application.push.Session`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `org.richfaces.application.push.Session`

    - #### invalidate

          public void invalidate()

      Specified by:
        `invalidate` in interface `org.richfaces.application.push.Session`

    - #### destroy

          public void destroy()

    - #### poll

          public Collection<org.richfaces.application.push.MessageData> poll()

    - #### getFailedSubscriptions

          public Map<org.richfaces.application.push.TopicKey,String> getFailedSubscriptions()

      Specified by:
        `getFailedSubscriptions` in interface `org.richfaces.application.push.Session`

    - #### getSuccessfulSubscriptions

          public Collection<org.richfaces.application.push.TopicKey> getSuccessfulSubscriptions()

      Specified by:
        `getSuccessfulSubscriptions` in interface `org.richfaces.application.push.Session`

    - #### subscribe

          public void subscribe(String[] topics)

      Specified by:
        `subscribe` in interface `org.richfaces.application.push.Session`

    - #### getMessages

          public Collection<org.richfaces.application.push.MessageData> getMessages()

      Specified by:
        `getMessages` in interface `org.richfaces.application.push.Session`

    - #### clearBroadcastedMessages

          public void clearBroadcastedMessages(long sequenceNumber)

      Specified by:
        `clearBroadcastedMessages` in interface `org.richfaces.application.push.Session`

    - #### push

          public void push(org.richfaces.application.push.TopicKey topicKey,
                  String serializedData)

      Specified by:
        `push` in interface `org.richfaces.application.push.Session`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.